1. Contacts
Leadfeeder API
  • Introduction
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Retrieve Companies
    • Company Financial Reports
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Retrieve Company IPs
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
  • Contacts
    • Get Contact Details
      GET
    • Retrieve Contacts
      GET
    • Search Contacts
      POST
    • Add Contact to Lists
      POST
    • Remove Contact from Lists
      DELETE
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Get Buyer Persona Details
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Get Ideal Customer Profile Details
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Schemas
    • VisitLocationV1
    • LocationV1
    • CRMUserV1
    • CRMOrganizationV1
    • ICPV1
    • CRMContactV1
    • IpAddressExtendedV1
    • CompanyIpV1
    • CRMLeadV1
    • WebVisitV1
    • BuyerPersonaV1
    • CRMConnectionV1
    • CRMSuggestionV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • CustomFeedRequestV1
    • AccountV1
    • MaskedContactSummaryV1
    • CustomFeedV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • CompanyLocationV1
    • AccountSummaryV1
    • ErrorObjectV1
    • MaskedCompanySummaryV1
    • CompanyV1
    • NetworkV1
    • CompanyFinancialsV1
    • SignalV1
    • CompanySummaryV1
    • TagV1
    • ListV1
    • CompanyMatchV1
    • CustomFieldV1
    • ContactV1
    • ContactSummaryV1
    • EnrichedIpV1
    • ApiUsageV1
  1. Contacts

Retrieve Contacts

GET
/v1/contacts
Retrieve a list of contacts based on the provided IDs.
Credit Note: Each company will contain it's full deep data and it will consume 1 credit, unless the company has already been accessed within the last 12 months.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Responses

🟢200OK
application/json
Returns the contact details for the specified IDs. If include=company is supplied, the responses include the company details. If no contact is found for a certain ID, the data field will not contain an entry for that ID.
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
🔴500Server Error
🔴504Gateway Timeout
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.leadfeeder.com/v1/contacts?ids=3219787601,3219787635&account_id=123456&include=company' \
--header 'X-Api-Key: <api-key>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "type": "contact",
            "id": "435834",
            "attributes": {
                "address": {
                    "city": "Karlsruhe",
                    "country_code": "DE",
                    "country": "Germany"
                },
                "affiliation": "employee",
                "custom_fields": {
                    "property1": {
                        "type": "ai_boolean",
                        "value": "Germany",
                        "reason": "The company provides API-driven identity management and security solutions. While it operates in a sector relevant to digital footprint and market activity, it does not explicitly analyze growth trajectories, headcount trends, or market momentum as described in the search query."
                    },
                    "property2": {
                        "type": "ai_boolean",
                        "value": "Germany",
                        "reason": "The company provides API-driven identity management and security solutions. While it operates in a sector relevant to digital footprint and market activity, it does not explicitly analyze growth trajectories, headcount trends, or market momentum as described in the search query."
                    }
                },
                "departments": [
                    "marketing_department",
                    "students_apprentices"
                ],
                "emails": [
                    {
                        "address": "info@leadfeeder.com",
                        "source": "fullenrich"
                    }
                ],
                "first_name": "John",
                "gender": "male",
                "hierarchy_level": "employees",
                "last_name": "Doe",
                "phones": [
                    {
                        "number": "+49 721 50057501",
                        "type": "landline",
                        "blacklisted": false,
                        "source": "fullenrich"
                    }
                ],
                "position": {
                    "title": "Geschäftsführer",
                    "language_code": "DE"
                },
                "public_sources": [
                    {
                        "type": "homepage",
                        "url": "https://crowdfunding.dossier.at/unterstuetzerinnen/"
                    }
                ],
                "social_media_profiles": {
                    "facebook": [
                        {
                            "url": "https://www.facebook.com/getdealfront",
                            "source": "fullenrich"
                        }
                    ],
                    "instagram": [
                        {
                            "url": "https://instagram.com/getdealfront",
                            "source": null
                        }
                    ],
                    "linkedin": [
                        {
                            "url": "https://www.linkedin.com/company/dealfront",
                            "source": "fullenrich"
                        }
                    ],
                    "pinterest": [],
                    "twitter": [
                        {
                            "url": "https://twitter.com/getdealfront",
                            "source": null
                        }
                    ],
                    "xing": [],
                    "youtube": []
                },
                "title": "Dr."
            },
            "relationships": {
                "company": {
                    "id": "129011",
                    "type": "company"
                },
                "lists": [
                    {
                        "type": "list",
                        "id": "company_123",
                        "attributes": {
                            "name": "US Prospects",
                            "scope": "company",
                            "created_at": "2024-12-10T15:57:25Z",
                            "updated_at": "2024-11-24T11:50:00Z"
                        },
                        "relationships": {
                            "created_by": {
                                "id": "12345",
                                "type": "user"
                            }
                        }
                    }
                ],
                "buyer_personas": [
                    {
                        "type": "buyer_persona",
                        "id": "7421",
                        "attributes": {
                            "name": "Sales Managers",
                            "created_at": "2024-12-10T15:57:25Z",
                            "filters": {
                                "department": [
                                    {
                                        "search_value": "US",
                                        "display_value": "United States",
                                        "negated": false
                                    }
                                ],
                                "job_title": [
                                    {
                                        "search_value": "US",
                                        "display_value": "United States",
                                        "negated": false
                                    }
                                ],
                                "location": [
                                    {
                                        "search_value": "US",
                                        "display_value": "United States",
                                        "negated": false
                                    }
                                ],
                                "seniority": [
                                    {
                                        "search_value": "US",
                                        "display_value": "United States",
                                        "negated": false
                                    }
                                ]
                            }
                        }
                    }
                ]
            }
        }
    ],
    "meta": {
        "credits": {
            "charged": 1
        },
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
Modified at 2026-05-04 13:48:12
Previous
Get Contact Details
Next
Search Contacts
Built with